"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateFillForDeposit = exports.filledSameDeposit = exports.FILL_DEPOSIT_COMPARISON_KEYS = void 0;
exports.FILL_DEPOSIT_COMPARISON_KEYS = [
    "amount",
    "originChainId",
    "relayerFeePct",
    "realizedLpFeePct",
    "depositId",
    "depositor",
    "recipient",
    "destinationChainId",
    "destinationToken",
    "message",
];
function filledSameDeposit(fillA, fillB) {
    return (fillA.depositId === fillB.depositId &&
        fillA.originChainId === fillB.originChainId &&
        fillA.amount.eq(fillB.amount) &&
        fillA.destinationChainId === fillB.destinationChainId &&
        fillA.relayerFeePct.eq(fillB.relayerFeePct) &&
        fillA.recipient === fillB.recipient &&
        fillA.depositor === fillB.depositor);
}
exports.filledSameDeposit = filledSameDeposit;
function validateFillForDeposit(fill, deposit, fillFieldsToIgnore) {
    if (fillFieldsToIgnore === void 0) { fillFieldsToIgnore = []; }
    if (deposit === undefined) {
        return false;
    }
    return exports.FILL_DEPOSIT_COMPARISON_KEYS.every(function (key) {
        var _a;
        if (fillFieldsToIgnore.includes(key)) {
            return true;
        }
        return fill[key] !== undefined && fill[key].toString() === ((_a = deposit[key]) === null || _a === void 0 ? void 0 : _a.toString());
    });
}
exports.validateFillForDeposit = validateFillForDeposit;
//# sourceMappingURL=FlowUtils.js.map