"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.chainIsOPStack = exports.chainIsTestnet = exports.chainIsProd = exports.getNativeTokenSymbol = exports.getNetworkName = void 0;
var common_1 = require("@uma/common");
var constants_1 = require("../constants");
var networkIdMap = {
    666: "Hardhat1",
    1337: "Hardhat2",
    421613: "ArbitrumGoerli",
    324: "ZkSync",
    280: "ZkSync-Goerli",
    8453: "Base",
    84531: "BaseGoerli",
    84532: "BaseSepolia",
    11155111: "EthSepolia",
};
function getNetworkName(networkId) {
    try {
        var networkName = common_1.PublicNetworks[Number(networkId)].name;
        return networkName.charAt(0).toUpperCase() + networkName.slice(1);
    }
    catch (error) {
        return networkIdMap[Number(networkId)] || "unknown";
    }
}
exports.getNetworkName = getNetworkName;
function getNativeTokenSymbol(chainId) {
    if (chainId.toString() === "137" || chainId.toString() === "80001") {
        return "MATIC";
    }
    return "ETH";
}
exports.getNativeTokenSymbol = getNativeTokenSymbol;
function chainIsProd(chainId) {
    return constants_1.PRODUCTION_CHAIN_IDS.includes(chainId);
}
exports.chainIsProd = chainIsProd;
function chainIsTestnet(chainId) {
    return constants_1.TESTNET_CHAIN_IDS.includes(chainId);
}
exports.chainIsTestnet = chainIsTestnet;
function chainIsOPStack(chainId) {
    return [10, 8453, 69, 420, 84531].includes(chainId);
}
exports.chainIsOPStack = chainIsOPStack;
//# sourceMappingURL=NetworkUtils.js.map