import { BigNumber, Contract } from "ethers";
import { RelayData } from "../interfaces";
import { SpokePoolClient } from "../clients";
export declare function getBlockRangeForDepositId(targetDepositId: number, initLow: number, initHigh: number, maxSearches: number, spokePool: SpokePoolClient): Promise<{
    low: number;
    high: number;
}>;
export declare function getDepositIdAtBlock(contract: Contract, blockTag: number): Promise<number>;
export declare function getRelayDataHash(relayData: RelayData, destinationChainId?: number): string;
export declare function relayFilledAmount(spokePool: Contract, relayData: RelayData, blockTag?: number | "latest"): Promise<BigNumber>;
export declare function findFillBlock(spokePool: Contract, relayData: RelayData, lowBlockNumber: number, highBlockNumber?: number): Promise<number | undefined>;
