import { BigNumber } from "ethers";
import { DepositWithBlock, FillWithBlock } from "./";
export type UbaInflow = DepositWithBlock;
export type UbaOutflow = FillWithBlock & {
    matchedDeposit: DepositWithBlock;
};
export type UbaFlow = UbaInflow | UbaOutflow;
export declare const isUbaInflow: (flow: UbaFlow) => flow is import("./SpokePool").v2DepositWithBlock;
export declare const isUbaOutflow: (flow: UbaFlow) => flow is UbaOutflow;
export declare const outflowIsFill: (outflow: UbaOutflow) => outflow is import("./SpokePool").v2FillWithBlock & {
    matchedDeposit: DepositWithBlock;
};
export type UBASpokeBalanceType = {
    chainId: number;
    blockNumber: number;
    lastValidatedRunningBalance?: BigNumber;
    recentRequestFlow: UbaFlow[];
};
export type UBAFeeResult = {
    depositorFee: BigNumber;
    refundFee: BigNumber;
    totalUBAFee: BigNumber;
};
//# sourceMappingURL=UBA.d.ts.map