import { v2Deposit, v3Deposit, v2Fill, v2RelayData, v2SlowFillLeaf, v2SpeedUp, v3Fill, v3RelayData, v3SlowFillLeaf, v3SpeedUp } from "../interfaces";
import { BN } from "./BigNumberUtils";
type Deposit = v2Deposit | v3Deposit;
type Fill = v2Fill | v3Fill;
type SpeedUp = v2SpeedUp | v3SpeedUp;
type RelayData = v2RelayData | v3RelayData;
type SlowFillLeaf = v2SlowFillLeaf | v3SlowFillLeaf;
export declare const V3_MIN_CONFIG_STORE_VERSION = 3;
export declare function isV3(version: number): boolean;
export declare function isV2Deposit(deposit: Deposit): deposit is v2Deposit;
export declare function isV3Deposit(deposit: Deposit): deposit is v3Deposit;
export declare function isV2SpeedUp(speedUp: SpeedUp): speedUp is v2SpeedUp;
export declare function isV3SpeedUp(speedUp: SpeedUp): speedUp is v3SpeedUp;
export declare function isV2Fill(fill: Fill): fill is v2Fill;
export declare function isV3Fill(fill: Fill): fill is v3Fill;
export declare function isV2RelayData(relayData: RelayData): relayData is v2RelayData;
export declare function isV3RelayData(relayData: RelayData): relayData is v3RelayData;
export declare function isSlowFill(fill: Fill): boolean;
export declare function isV2SlowFillLeaf(slowFillLeaf: SlowFillLeaf): slowFillLeaf is v2SlowFillLeaf;
export declare function isV3SlowFillLeaf(slowFillLeaf: SlowFillLeaf): slowFillLeaf is v3SlowFillLeaf;
export declare function getDepositInputToken(deposit: Deposit): string;
export declare function getDepositOutputToken(deposit: Deposit): string;
export declare function getFillOutputToken(fill: Fill): string;
export declare function getDepositInputAmount(deposit: Deposit): BN;
export declare function getDepositOutputAmount(deposit: Deposit): BN;
export declare function getFillOutputAmount(fill: Fill): BN;
export declare function getFillAmount(fill: Fill): BN;
export declare function getTotalFilledAmount(fill: Fill): BN;
export declare function getRelayDataOutputToken(relayData: RelayData): string;
export declare function getRelayDataOutputAmount(relayData: RelayData): BN;
export declare function getSlowFillLeafChainId(leaf: SlowFillLeaf): number;
export {};
//# sourceMappingURL=V3Utils.d.ts.map